//
//  render_font.h
//  3ds_metroid
//
//  Created by jbr373 on 01/02/16.
//

#ifndef render_font_h
#define render_font_h

#include <stdio.h>
#include <stdlib.h>
#include <sf2d.h>
#include <string>
#include <string.h>

class RenderFont
{
public:
    RenderFont();
    virtual ~RenderFont();
    
    void renderfont_load();
    void renderfont_draw_number(u8 number, s32 font_x, s32 font_y, u8 draw_numbers);
    void renderfont_draw_text(const char* text, s32 font_x, s32 font_y);
    
private:
    void renderfont_draw_number_hundreds(u8 number, s32 font_x, s32 font_y);
    void renderfont_draw_number_tens(u8 number, s32 font_x, s32 font_y);
    void renderfont_draw_number_single(u8 number, s32 font_x, s32 font_y);
    
    void renderfont_get_font_pos_char(const char* character);
    void renderfont_get_font_pos_u8(u8 number); // TODO: should be doable in pos_char! + 55?
    
    s32 renderfont_pos_x;
    s32 renderfont_pos_y;
    
    sf2d_texture* pFontTexture;
};

#endif /* render_font_h */
