//
//  enemy_ai.cpp
//  3ds_metroid
//
//  Created by jbr373 on 04/03/16.
//

#include <stdio.h>

#include "enemy_ai.h"

/*************************************************************************************************************************/
/*                                                      AI List                                                          */
/*************************************************************************************************************************/

extern EnemyAI* load_enemy_ai_yumbo();
extern EnemyAI* load_enemy_ai_hornoads();

/*************************************************************************************************************************/
/*                                                      Load AI                                                          */
/*************************************************************************************************************************/

EnemyAI* enemy_ai_load(u8 enemy_ai_id)
{
    EnemyAI* pEnemyAI = NULL;
    
    switch (enemy_ai_id)
    {
        case AI_YUMBO:
            pEnemyAI = load_enemy_ai_yumbo();
            break;
        case AI_HORNOAD:
            pEnemyAI = load_enemy_ai_hornoads();
            break;
            
        default:
            break;
    }
    
    return pEnemyAI;
}