//
//  render_poscorrection.h
//  3ds_metroid
//
//  Created by jbr373 on 10/02/16.
//

#ifndef render_poscorrection_h
#define render_poscorrection_h

/***************************/
/*         SCREEN          */
/***************************/

#define TOPSCREEN_X            400
#define TOPSCREEN_Y            240

#define BOTTOMSCREEN_X         320
#define BOTTOMSCREEN_Y         240

#define SCREEN_HALF_X          200
#define SCREEN_HALF_Y          120

/***************************/
/*       PROJECTILE        */
/***************************/

#define PROJECTILE_X_CORRECT                            25
#define PROJECTILE_X_CHARGEBEAM_CORRECT_LEFT            20//16 //14
#define PROJECTILE_X_CHARGEBEAM_CORRECT_RIGHT           38//34 //32

#define PROJECTILE_Y_CHARGEBEAM_CORRECT_UP              30// Distanz: Y bis kanone = 11
#define PROJECTILE_Y_CHARGEBEAM_CORRECT_DOWN            20 // War 41

#define PROJECTILE_X_CORRECT_VERTICAL                   6
#define PROJECTILE_Y_CORRECT_DIAGONAL                   6
#define PROJECTILE_Y_CORRECT_UP                         75

#define PROJECTILE_STANDING_Y                           20
#define PROJECTILE_CROUCHED_Y                           23//47
#define PROJECTILE_MORPHBALL_Y                          51

#define PLAYER_HEIGHT_CORRECTION_DIV10                  9  // 9 from the 90-90/10 from player_height!

#define PROJECTILE_CHARGEBEAM_CORRECT_LEFT              19 // 21 // Was 25 - Perfect for Running
#define PROJECTILE_CHARGEBEAM_CORRECT_RIGHT             79 // 77 // 70
#define PROJECTILE_CHARGEBEAM_CORRECT_CENTER            50
#define PROJECTILE_CHARGEBEAM_CORRECT_IDLE_Y            36
#define PROJECTILE_CHARGEBEAM_CORRECT_CROUCH_Y          61 //63 // 62
#define PROJECTILE_CHARGEBEAM_CORRECT_IDLE_Y_ALL        27//23
#define PROJECTILE_CHARGEBEAM_CORRECT_CROUCHED_Y_LRUP   29//26
#define PROJECTILE_CHARGEBEAM_CORRECT_CROUCHED_Y_LRDOWN 19//22

/**********************/
/*       LIGHT        */
/**********************/

#define LIGHT_BEAM_NONCHARGED_THICKNESS                 6
#define LIGHT_BEAM_NONCHARGED_LENGTH                    20

#define LIGHT_BEAM_CHARGED_THICKNESS                    10
#define LIGHT_BEAM_CHARGED_LENGTH                       20

#define LIGHT_MISSLE_THICKNESS                          6
#define LIGHT_MISSLE_LENGTH                             20

#define LIGHT_MORPHBALL_THICKNESS                       20
#define LIGHT_MORPHBALL_LENGTH                          20

#define LIGHT_PLAYER_SHADOW_START                       25

#endif /* render_poscorrection_h */
